Bug 111104 - missing build requirement elfutils-devel
missing build requirement elfutils-devel
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-27 09:48 EST by Leonid Kanter
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-28 10:43:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonid Kanter 2003-11-27 09:48:38 EST
Description of problem:

Critical build requirement elfutils-devel is missed in spec

Version-Release number of selected component (if applicable):

4.2.1-0.30

How reproducible:

always

Steps to Reproduce:
1. instal FC1 workstation (with software development)
2. start rpmbuild --rebuild rpm-4.2.1-0.30.src.rpm

  
Actual results:

debugedit.c: gelf.h: no such file or directory
debugedit.c: dwarf.h: no such file or directory

Expected results:

rpmbuild must ask to install elfutils-devel first
Comment 1 Miloslav Trmac 2003-11-27 13:11:29 EST
Triage->Easyfix
Comment 2 Jeff Johnson 2003-12-28 10:43:53 EST
Added in CVS, should be in rpm-4.2.2-0.8 and later.
Comment 3 John Flanagan 2004-05-12 00:27:24 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-098.html

Note You need to log in before you can comment on or make changes to this bug.